Package Details: opencobolide 4.7.6-2

Git Clone URL: https://aur.archlinux.org/opencobolide.git (read-only, click to copy)
Package Base: opencobolide
Description: A simple and lightweight COBOL IDE based on the GnuCOBOL compiler.
Upstream URL: https://github.com/OpenCobolIDE/OpenCobolIDE
Licenses: GPL
Submitter: ColinDuquesnoy
Maintainer: Wascar
Last Packager: Wascar
Votes: 4
Popularity: 0.000000
First Submitted: 2016-01-25 18:41
Last Updated: 2020-04-01 16:07

Latest Comments

AlexRichard commented on 2020-05-04 09:02

This package depends on "gnu-cobol" (https://aur.archlinux.org/cgit/aur.git/?h=gnu-cobol), but the package name seems to have been changed to "gnucobol" (no dash) 2 weeks ago, when the package was moved from aur -> community (https://www.archlinux.org/packages/community/x86_64/gnucobol/).

Apologies if I should have reported this to gnucobol instead, I'm not familiar with with what the expectation should be in this case.

Dr-Bracket commented on 2020-03-24 22:29

Doesn't run - Gives the following error:

Traceback (most recent call last):
  File "/usr/bin/opencobolide", line 11, in <module>
    load_entry_point('OpenCobolIDE==4.7.6', 'gui_scripts', 'opencobolide')()
  File "/usr/lib/python3.8/site-packages/open_cobol_ide/main.py", line 30, in main
    from open_cobol_ide import system
  File "/usr/lib/python3.8/site-packages/open_cobol_ide/system.py", line 19, in <module>
    ubuntu = platform.linux_distribution()[0].lower() == 'ubuntu'
AttributeError: module 'platform' has no attribute 'linux_distribution'